Index: npl/system/glibc/glibc.SlackBuild.orig
===================================================================
--- npl/system/glibc/glibc.SlackBuild.orig	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
+++ npl/system/glibc/glibc.SlackBuild.orig	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -0,0 +1,428 @@
+#!/bin/sh
+
+# Copyright 2006, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016  Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+## build glibc-$VERSION for Slackware
+
+VERSION=${VERSION:-$(echo glibc-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+CHECKOUT=${CHECKOUT:-""}
+BUILD=${BUILD:-2}
+
+# I was considering disabling NSCD, but MoZes talked me out of it.  :)
+#DISABLE_NSCD=" --disable-nscd "
+
+# $ARCH may be preset, otherwise i586 compatibility with i686 binary
+# structuring is the Slackware default.
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+# I'll break this out as an option for fun  :-)
+case $ARCH  in
+  i386)
+    OPTIMIZ="-O3 -march=i386 -mcpu=i686"
+    LIBDIRSUFFIX=""
+    ;;
+  i486)
+    OPTIMIZ="-O3 -march=i486 -mtune=i686"
+    LIBDIRSUFFIX=""
+    ;;
+  i586)
+    OPTIMIZ="-O3 -march=i586 -mtune=i686"
+    LIBDIRSUFFIX=""
+    ;;
+  i686)
+    OPTIMIZ="-O3 -march=i686"
+    LIBDIRSUFFIX=""
+    ;;
+  athlon)
+    OPTIMIZ="-O3 -march=athlon"
+    LIBDIRSUFFIX=""
+    ;;
+  s390)
+    OPTIMIZ="-O3"
+    LIBDIRSUFFIX=""
+    ;;
+  x86_64)
+    OPTIMIZ="-O3 -fPIC"
+    LIBDIRSUFFIX="64"
+    ;;
+  *)
+    OPTIMIZ="-O3"
+    LIBDIRSUFFIX=""
+    ;;
+esac
+
+case $ARCH in
+  x86_64)
+    TARGET=${TARGET:-x86_64}
+    ;;
+  i586)
+    # This should be i586 for all 32-bit x86 arch:
+    TARGET=${TARGET:-i586}
+    ;;
+esac
+
+# Hand off the $ARCH variable to $SLACKWARE_ARCH to avoid confusing glibc:
+SLACKWARE_ARCH=$ARCH
+unset ARCH
+
+CVSVER=${VERSION}${CHECKOUT}
+
+# NOTE!!!  glibc needs to be built against the sanitized kernel headers,
+# which will be installed under /usr/include by the kernel-headers package.
+# Be sure the correct version of the headers package is installed BEFORE
+# building glibc!
+
+CWD=$(pwd)
+# Temporary build location.  This should not be a directory
+# path a non-root user could create later...
+TMP=${TMP:-/glibc-tmp-$(mcookie)}
+mkdir -p $TMP
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+# This function fixes a doinst.sh file for x86_64.
+# With thanks to Fred Emmott.
+fix_doinst() {
+  if [ "x$LIBDIRSUFFIX" = "x" ]; then
+    return;
+  fi;
+  # Fix "( cd usr/lib ;" occurrences
+  sed -i "s#lib ;#lib${LIBDIRSUFFIX} ;#" install/doinst.sh
+  # Fix "lib/" occurrences
+  sed -i "s#lib/#lib${LIBDIRSUFFIX}/#g" install/doinst.sh
+  # Fix "( cd lib" occurrences
+  sed -i "s#( cd lib\$#( cd lib${LIBDIRSUFFIX}#" install/doinst.sh
+
+  if [ "$SLACKWARE_ARCH" = "x86_64" ]; then
+    sed -i 's#ld-linux.so.2#ld-linux-x86-64.so.2#' install/doinst.sh
+  fi
+}
+
+# This is a patch function to put all glibc patches in the build script
+# up near the top.
+apply_patches() {
+  # Use old-style locale directories rather than a single (and strangely
+  # formatted) /usr/lib/locale/locale-archive file:
+  zcat $CWD/glibc.locale.no-archive.diff.gz | patch -p1 --verbose || exit 1
+  # The is_IS locale is causing a strange error about the "echn" command
+  # not existing.  This patch reverts is_IS to the version shipped in
+  # glibc-2.5:
+  zcat $CWD/is_IS.diff.gz | patch -p1 --verbose || exit 1
+  # Support ru_RU.CP1251 locale:
+  zcat $CWD/glibc.ru_RU.CP1251.diff.gz | patch -p1 --verbose || exit 1
+  # This reverts a patch that was made to glibc to fix "namespace leakage",
+  # which seems to cause some build failures (e.g. with conntrack):
+  zcat $CWD/glibc.revert.to.fix.build.breakages.diff.gz | patch -p1 -l --verbose || exit 1
+  # Make it harder for people to trick ldd into running code:
+  zcat $CWD/glibc.ldd.trace.through.dynamic.linker.diff.gz | patch -p1 --verbose || exit 1
+  # Add a C.UTF-8 locale:
+  zcat $CWD/glibc-c-utf8-locale.patch.gz | patch -p1 --verbose || exit 1
+}
+
+# This is going to be the initial $DESTDIR:
+export PKG=$TMP/package-glibc-incoming-tree
+PGLIBC=$TMP/package-glibc
+PSOLIBS=$TMP/package-glibc-solibs
+PI18N=$TMP/package-glibc-i18n
+PPROFILE=$TMP/package-glibc-profile
+PDEBUG=$TMP/package-glibc-debug
+
+# Empty these locations first:
+for dir in $PKG $PGLIBC $PSOLIBS $PZONE $PI18N $PPROFILE $PDEBUG ; do
+  if [ -d $dir ]; then
+    rm -rf $dir
+  fi
+  mkdir -p $dir
+done
+if [ -d $TMP/glibc-$VERSION ]; then
+  rm -rf $TMP/glibc-$VERSION
+fi
+
+# Create an incoming directory structure for glibc to be built into:
+mkdir -p $PKG/lib${LIBDIRSUFFIX}
+mkdir -p $PKG/sbin
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+mkdir -p $PKG/usr/sbin
+mkdir -p $PKG/usr/include
+mkdir -p $PKG/usr/doc
+mkdir -p $PKG/usr/man
+mkdir -p $PKG/usr/share
+mkdir -p $PKG/var/db/nscd
+mkdir -p $PKG/var/run/nscd
+
+# Begin extract/compile:
+cd $TMP
+rm -rf glibc-$CVSVER
+tar xvf $CWD/glibc-$CVSVER.tar.xz \
+  || tar xvf $CWD/glibc-$CVSVER.tar.bz2 \
+  || tar xvf $CWD/glibc-$CVSVER.tar.gz
+cd glibc-$CVSVER
+
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
+# Clean up leftover CVS directories:
+find . -type d -name CVS -exec rm -r {} \; 2> /dev/null
+
+# Apply patches; exit if any fail.
+apply_patches
+if [ ! $? = 0 ]; then
+  exit 1
+fi
+
+# Make build directory:
+mkdir build-glibc-$VERSION
+cd build-glibc-$VERSION || exit 1
+
+echo "BUILDING DAS NPTL GLIBC"
+CFLAGS="-g $OPTIMIZ" \
+../configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --enable-kernel=2.6.32 \
+  --with-headers=/usr/include \
+  --enable-add-ons \
+  --enable-obsolete-rpc \
+  --enable-profile \
+  $DISABLE_NSCD \
+  --infodir=/usr/info \
+  --mandir=/usr/man \
+  --with-tls \
+  --with-__thread \
+  --without-cvs \
+  $TARGET-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install install_root=$PKG || exit 1
+make localedata/install-locales install_root=$PKG || exit 1
+
+# The prevailing standard seems to be putting unstripped libraries in
+# /usr/lib/debug/ and stripping the debugging symbols from all the other
+# libraries.
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/debug
+cp -a $PKG/lib${LIBDIRSUFFIX}/l*.so* $PKG/usr/lib${LIBDIRSUFFIX}/debug
+cp -a $PKG/usr/lib${LIBDIRSUFFIX}/*.a $PKG/usr/lib${LIBDIRSUFFIX}/debug
+# Don't need debug+profile:
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/debug ; rm -f *_p.* )
+# NOTE:  Is there really a reason for the glibc-debug package?
+# If you're debugging glibc, you can also compile it, right?
+
+## COMMENTED OUT:  There's no reason for profile libs to include -g information.
+## Put back unstripped profiling libraries:
+#mv $PKG/usr/lib${LIBDIRSUFFIX}/debug/*_p.a $PKG/usr/lib${LIBDIRSUFFIX}
+# It might be best to put the unstripped and profiling libraries in glibc-debug and glibc-profile.
+
+# I don't think "strip -g" causes the pthread problems.  It's --strip-unneeded that does.
+strip -g $PKG/lib${LIBDIRSUFFIX}/l*.so*
+strip -g $PKG/usr/lib${LIBDIRSUFFIX}/l*.so* || true
+strip -g $PKG/usr/lib${LIBDIRSUFFIX}/lib*.a || true
+
+# Remove the rquota.x and rquota.h include files, as they are provided by
+# the quota package:
+rm -f $PKG/usr/include/rpcsvc/rquota.{h,x}
+
+# Back to the sources dir to add some files/docs:
+cd $TMP/glibc-$CVSVER
+
+# We'll automatically install the config file for the Name Server Cache Daemon.
+# Perhaps this should also have some commented-out startup code in rc.inet2...
+mkdir -p $PKG/etc
+cat nscd/nscd.conf > $PKG/etc/nscd.conf.new
+
+# Install docs:
+( mkdir -p $PKG/usr/doc/glibc-$VERSION
+  cp -a \
+    BUGS CONFORMANCE COPYING* INSTALL LICENSES NAMESPACE \
+    NEWS PROJECTS README* \
+    $PKG/usr/doc/glibc-$VERSION
+)
+
+# Trim the NEWS file to omit ancient history:
+if [ -r NEWS ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/glibc-$VERSION)
+  cat NEWS | head -n 1000 > $DOCSDIR/NEWS
+  touch -r NEWS $DOCSDIR/NEWS
+fi
+
+# OK, there are some very old Linux standards that say that any binaries in a /bin or
+# /sbin directory (and the directories themselves) should be group bin rather than
+# group root, unless a specific group is really needed for some reason.
+#
+# I can't find any mention of this in more recent standards docs, and always thought
+# that it was pretty cosmetic anyway (hey, if there's a reason -- fill me in!), so
+# it's possible that this ownership change won't be followed in the near future
+# (it's a PITA, and causes many bug reports when the perms change is occasionally
+# forgotten).
+#
+# But, it's hard to get me to break old habits, so we'll continue the tradition here:
+#
+# No, no we won't.  You know how we love to break traditions.
+
+# Strip most binaries:
+( cd $PKG
+  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-debug 2> /dev/null
+  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip -g 2> /dev/null
+)
+
+# Fix info dir:
+rm $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+# This is junk
+rm $PKG/etc/ld.so.cache
+( cd $PKG
+  find . -name "*.orig" -exec rm {} \;
+)
+
+##################################
+# OK, time to make some packages #
+##################################
+
+# glibc-profile:
+cd $PPROFILE
+mkdir -p usr/lib${LIBDIRSUFFIX}
+# Might as well just grab these with 'mv' to simplify things later:
+mv $PKG/usr/lib${LIBDIRSUFFIX}/lib*_p.a usr/lib${LIBDIRSUFFIX}
+# Profile libs should be stripped.  Use the debug libs to debug...
+( cd usr/lib${LIBDIRSUFFIX} ; strip -g *.a )
+mkdir install
+cp -a $CWD/slack-desc.glibc-profile install/slack-desc
+makepkg -l y -c n $TMP/glibc-profile-$VERSION-$SLACKWARE_ARCH-$BUILD.txz
+
+# THIS IS NO LONGER PACKAGED (or is it?  might be better to let it be made, and then ship it or not...)
+# glibc-debug:
+cd $PDEBUG
+mkdir -p usr/lib${LIBDIRSUFFIX}
+# Might as well just grab these with 'mv' to simplify things later:
+mv $PKG/usr/lib${LIBDIRSUFFIX}/debug usr/lib${LIBDIRSUFFIX}
+mkdir install
+cp -a $CWD/slack-desc.glibc-debug install/slack-desc
+makepkg -l y -c n $TMP/glibc-debug-$VERSION-$SLACKWARE_ARCH-$BUILD.txz
+## INSTEAD, NUKE THESE LIBS
+#rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/debug
+
+# glibc-i18n:
+cd $PI18N
+mkdir -p usr/lib${LIBDIRSUFFIX}/locale
+mv $PKG/usr/lib${LIBDIRSUFFIX}/locale/* usr/lib${LIBDIRSUFFIX}/locale
+mkdir -p usr/share/{i18n,locale}
+mv $PKG/usr/share/i18n/* usr/share/i18n
+mv $PKG/usr/share/locale/* usr/share/locale
+# Leave copies of the C, POSIX, and en_US locales in the main glibc package:
+cp -a usr/lib${LIBDIRSUFFIX}/locale/{C,en_US}* $PKG/usr/lib${LIBDIRSUFFIX}/locale
+mkdir -p $PKG/usr/share/i18n/locales
+cp -a usr/share/i18n/locales/{C,POSIX,en_US} $PKG/usr/share/i18n/locales
+mkdir install
+cp -a $CWD/slack-desc.glibc-i18n install/slack-desc
+makepkg -l y -c n $TMP/glibc-i18n-$VERSION-$SLACKWARE_ARCH-$BUILD.txz
+
+# glibc-solibs:
+cd $PSOLIBS
+mkdir -p etc/profile.d
+cp -a $CWD/profile.d/* etc/profile.d
+chown -R root:root etc
+chmod 755 etc/profile.d/*
+mkdir -p lib${LIBDIRSUFFIX}
+cp -a $PKG/lib${LIBDIRSUFFIX}/* lib${LIBDIRSUFFIX}
+( cd lib${LIBDIRSUFFIX}
+  mkdir incoming
+  mv *so* incoming
+  mv incoming/libSegFault.so .
+)
+mkdir -p usr
+cp -a $PKG/usr/bin usr
+mv usr/bin/ldd .
+rm usr/bin/*
+mv ldd usr/bin
+mkdir -p usr/lib${LIBDIRSUFFIX}
+# The gconv directory has a lot of stuff, but including it here will save some problems.
+# Seems standard elsewhere.
+cp -a $PKG/usr/lib${LIBDIRSUFFIX}/gconv usr/lib${LIBDIRSUFFIX}
+# Another manpage abandoned by GNU...
+#mkdir -p usr/man/man1
+#cp -a $PKG/usr/man/man1/ldd.1.gz usr/man/man1
+mkdir -p usr/libexec
+#cp -a $PKG/usr/libexec/pt_chown usr/libexec
+# Same usr.bin deal:
+cp -a $PKG/sbin .
+mv sbin/ldconfig .
+rm sbin/*
+mv ldconfig sbin
+mkdir install
+cp -a $CWD/slack-desc.glibc-solibs install/slack-desc
+cp -a $CWD/doinst.sh-glibc-solibs install/doinst.sh
+fix_doinst
+sed -i "s/@@VERSION@@/$VERSION/g" install/doinst.sh
+# Ditch links:
+find . -type l -exec rm {} \;
+# Build the package:
+makepkg -l y -c n $TMP/glibc-solibs-$VERSION-$SLACKWARE_ARCH-$BUILD.txz
+
+# And finally, the complete "all-in-one" glibc package is created
+# from whatever was leftover:
+cd $PGLIBC
+mv $PKG/* .
+mkdir -p etc/profile.d
+cp -a $CWD/profile.d/* etc/profile.d
+chown -R root:root etc
+chmod 755 etc/profile.d/*
+# Ditch links (these are in doinst.sh-glibc):
+find . -type l -exec rm {} \;
+# libm.so is *not* a linker script on all $ARCH.
+# If it's missing now, replace the symlink:
+if [ ! -r usr/lib${LIBDIRSUFFIX}/libm.so ]; then
+  ( cd usr/lib${LIBDIRSUFFIX} ; ln -sf ../../lib${LIBDIRSUFFIX}/libm.so.6 libm.so )
+fi
+mkdir install
+cp -a $CWD/slack-desc.glibc install/slack-desc
+cp -a $CWD/doinst.sh-glibc install/doinst.sh
+fix_doinst
+sed -i "s/@@VERSION@@/$VERSION/g" install/doinst.sh
+( cd lib${LIBDIRSUFFIX}
+  mkdir incoming
+  mv *so* incoming
+  mv incoming/libSegFault.so .
+)
+# Build the package:
+/sbin/makepkg -l y -c n $TMP/glibc-$VERSION-$SLACKWARE_ARCH-$BUILD.txz
+
+# Done!
+echo
+echo "glibc packages built in $TMP!"
+
Index: npl/system/glibc/glibc.arch
===================================================================
--- npl/system/glibc/glibc.arch	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc.arch	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/glibc/glibc.build
===================================================================
--- npl/system/glibc/glibc.build	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc.build	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-6129
+2
Index: npl/system/glibc/glibc.md5
===================================================================
--- npl/system/glibc/glibc.md5	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc.md5	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,28 +1,24 @@
-7a2ae009b85138f9a5df651069235e99  ./doinst.sh-glibc
+25b42f0b9b67d203faba1ce937ce9e51  ./doinst.sh-glibc
 97faf35319a5350d91849e479f7af251  ./doinst.sh-glibc-solibs
-06c8f88c5ee48a5c33629c889d8d7296  ./doinst.sh-glibc-zoneinfo
-84d7b49686f601cf23a3ca57983ef917  ./glibc-2.10-dns-no-gethostbyname4.diff.gz
-9cb398828e8f84f57d1f7d5588cf40cd  ./glibc-2.21.tar.xz
-af11fd5722b0f0c74123cef295d706be  ./glibc-2.21.tar.xz.sig
+97dc5517f92016f3d70d83e3162ad318  ./glibc-2.24.tar.xz
+009786da429aeeafa48ac72ad95f0279  ./glibc-2.24.tar.xz.sig
+9840bf42b6be90cd1f8d59298284fa51  ./glibc-c-utf8-locale.patch.gz
 cac267daa2d0d3e538560a0f634cdb98  ./glibc-cvs-checkout.sh
-947cc27e7198cb1fee0388fdf0955218  ./glibc_debug_dev.pkg
-07bc55e57946a3a2e7beb5660f3a1851  ./glibc_debug.pkg
-3627a2dccd190d4c53fa53e0a913ac0f  ./glibc_dev.pkg
-026b4227ea87319c43f85e3314563077  ./glibc.disable.broken.optimized.memcpy.diff.gz
-cd81c33d14bc38a5e703698f6fdb4ebe  ./glibc.git-4a531bb0b3b582cb693de9f76d2d97d970f9a5d5.patch.gz
-76b103d8b22ae5ce532cf369863ea5d7  ./glibc_i18n.pkg
+b2a37fc7745eeeb3987b44891bd25213  ./glibc_debug_dev.pkg
+44aad8f7f6d8861e52c8ebcbf8372b41  ./glibc_debug.pkg
+2394525632742abc082b90042a9cd831  ./glibc_dev.pkg
+14a949869a6f11c02650681aa9dab743  ./glibc_i18n.pkg
 e8fd726fee851d9430187ac369fe3e65  ./glibc.ldd.trace.through.dynamic.linker.diff.gz
 a2584786738ed1ec206d8ef3dc225ea6  ./glibc.locale.no-archive.diff.gz
 fa4bba7ae44c261c80882390bb2ae0e6  ./glibc.make-3.82.diff.gz
-08810c7a104d99481741b6e1c5c2f988  ./glibc.nis-netgroups.diff.gz
-f9fb64ff6450d3ebd7f1a6d0eb7116eb  ./glibc.pkg
-cdf881900f54d4ba859e12f3188ca26f  ./glibc_profile_dev.pkg
-1f29e892fea265f1e46ee588c249c8a4  ./glibc_profile.pkg
+0c54f24d2df8f486c798bfe11e746029  ./glibc.pkg
+c9e602dcaa3fc0faa0d231fe4280727e  ./glibc_profile_dev.pkg
+b48f872da299d4efb4fb30dc291659b5  ./glibc_profile.pkg
 da9ef35b71a61d44f38dc498b2a64ece  ./glibc.revert.to.fix.build.breakages.diff.gz
 7e17803c959c536303fb190a6f81004e  ./glibc.ru_RU.CP1251.diff.gz
-03a67564233f1c8233b86f5240495561  ./glibc.SlackBuild
-1ec044dc77deec097538615a40bdd104  ./glibc.SlackBuild.log.gz
-e0e22e0d8dd10581ebf7a85ce7d240bc  ./glibc_solibs.pkg
-4bc293ab7ac07ef85e42a846e1181a28  ./glibc_zoneinfo.pkg
+428ad3c1773d8ec32b35134363fc42cc  ./glibc.SlackBuild
+5448ec45b553634887b3927dfc6de53d  ./glibc.SlackBuild.log.gz
+5cf82ae0906e00ac9e8cf19b94ad8757  ./glibc.SlackBuild.orig
+28db276f45aecbc8f39b2c67a128130d  ./glibc_solibs.pkg
 a640795867f336de7d4816c7492da7dd  ./is_IS.diff.gz
 480b7e742ab79249d15cf9cfa1b504c0  ./profile.d/glibc.csh.new
@@ -30,19 +26,6 @@
 9f3102b959f471c78ed7834ce8b188cc  ./slack-desc.glibc
 a60f21040daa15acc281c42216ffda06  ./slack-desc.glibc-debug
-6d1809d00a13d73e3e2d15a758ee8921  ./slack-desc.glibc-i18n
+b1a671730a15ef040cc98cb247308bcd  ./slack-desc.glibc-i18n
 463764206af6515bc0189cbb6f210d31  ./slack-desc.glibc-profile
 b78700bac0ed11208e496d4e384caded  ./slack-desc.glibc-solibs
 3a1a19c0b3c13532f774925222dd034a  ./slack-desc.glibc-solibs-linuxthreads
-58f48bf43645e4b1377ae1787f0802ec  ./slack-desc.glibc-zoneinfo
-baa9500f8017c4729f0200540a6c1196  ./slack-desc.glibc-zoneinfo.olson
-5631d03028aa1e6a87951cee20068134  ./timezone-scripts/output-updated-timeconfig.sh
-2a9d31d2b0d83c3dde6175a95e2f86d1  ./timezone-scripts/parts/00
-1f0a2742428e0bda2aae079069166091  ./timezone-scripts/parts/01
-3178a201d111e6d4c01c09db2c13647b  ./timezone-scripts/parts/02
-f1f97cc241f6811707529053931970ba  ./timezone-scripts/parts/03
-d1568dbfd45fd14e1900af19631770d6  ./timezone-scripts/parts/04
-9ab935960daf52abb4e9a87887ba9739  ./timezone-scripts/parts/README
-e88425b289842c3904c0955edd0c5df3  ./timezone-scripts/setup.timeconfig
-baa18525d2fdd924dbd5810e8b84562b  ./timezone-scripts/timeconfig
-8f375ede46ae137fbac047ac431bda37  ./tzcode2015a.tar.gz
-4ed11c894a74a5ea64201b1c6dbb8831  ./tzdata2015a.tar.gz
Index: npl/system/glibc/glibc.version
===================================================================
--- npl/system/glibc/glibc.version	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc.version	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-2.21
+2.24
Index: npl/system/glibc/glibc_debug.arch
===================================================================
--- npl/system/glibc/glibc_debug.arch	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_debug.arch	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/glibc/glibc_debug.build
===================================================================
--- npl/system/glibc/glibc_debug.build	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_debug.build	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-6129
+2
Index: npl/system/glibc/glibc_debug.version
===================================================================
--- npl/system/glibc/glibc_debug.version	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_debug.version	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-2.21
+2.24
Index: npl/system/glibc/glibc_debug_dev.arch
===================================================================
--- npl/system/glibc/glibc_debug_dev.arch	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_debug_dev.arch	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/glibc/glibc_debug_dev.build
===================================================================
--- npl/system/glibc/glibc_debug_dev.build	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_debug_dev.build	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-6130
+2
Index: npl/system/glibc/glibc_debug_dev.version
===================================================================
--- npl/system/glibc/glibc_debug_dev.version	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_debug_dev.version	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-2.21
+2.24
Index: npl/system/glibc/glibc_dev.arch
===================================================================
--- npl/system/glibc/glibc_dev.arch	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_dev.arch	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/glibc/glibc_dev.build
===================================================================
--- npl/system/glibc/glibc_dev.build	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_dev.build	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-6130
+2
Index: npl/system/glibc/glibc_dev.version
===================================================================
--- npl/system/glibc/glibc_dev.version	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_dev.version	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-2.21
+2.24
Index: npl/system/glibc/glibc_i18n.arch
===================================================================
--- npl/system/glibc/glibc_i18n.arch	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_i18n.arch	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/glibc/glibc_i18n.build
===================================================================
--- npl/system/glibc/glibc_i18n.build	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_i18n.build	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-6129
+2
Index: npl/system/glibc/glibc_i18n.version
===================================================================
--- npl/system/glibc/glibc_i18n.version	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_i18n.version	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-2.21
+2.24
Index: npl/system/glibc/glibc_profile.arch
===================================================================
--- npl/system/glibc/glibc_profile.arch	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_profile.arch	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/glibc/glibc_profile.build
===================================================================
--- npl/system/glibc/glibc_profile.build	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_profile.build	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-6129
+2
Index: npl/system/glibc/glibc_profile.version
===================================================================
--- npl/system/glibc/glibc_profile.version	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_profile.version	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-2.21
+2.24
Index: npl/system/glibc/glibc_profile_dev.arch
===================================================================
--- npl/system/glibc/glibc_profile_dev.arch	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_profile_dev.arch	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/glibc/glibc_profile_dev.build
===================================================================
--- npl/system/glibc/glibc_profile_dev.build	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_profile_dev.build	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-6130
+2
Index: npl/system/glibc/glibc_profile_dev.version
===================================================================
--- npl/system/glibc/glibc_profile_dev.version	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_profile_dev.version	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-2.21
+2.24
Index: npl/system/glibc/glibc_solibs.arch
===================================================================
--- npl/system/glibc/glibc_solibs.arch	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_solibs.arch	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/glibc/glibc_solibs.build
===================================================================
--- npl/system/glibc/glibc_solibs.build	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_solibs.build	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-6129
+2
Index: npl/system/glibc/glibc_solibs.version
===================================================================
--- npl/system/glibc/glibc_solibs.version	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/glibc_solibs.version	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -1,1 +1,1 @@
-2.21
+2.24
Index: npl/system/glibc/slack-desc.glibc-i18n
===================================================================
--- npl/system/glibc/slack-desc.glibc-i18n	(revision 5fedc401896bb521287db633d5b77c78a4134180)
+++ npl/system/glibc/slack-desc.glibc-i18n	(revision 48bf3141094e2786e09a6072ae3b033bba36725e)
@@ -9,7 +9,7 @@
 glibc-i18n: glibc-i18n (locale files from glibc)
 glibc-i18n:
-glibc-i18n: These files go in /usr/lib/locale and /usr/share/i18n/ to provide
-glibc-i18n: internationalization support.  You'll need this package unless you
-glibc-i18n: will be using US English only.
+glibc-i18n: These files go in /usr/lib/locale, /usr/share/i18n/, and
+glibc-i18n: /usr/share/locale/ to provide internationalization support.
+glibc-i18n: You'll need this package unless you will be using US English only.
 glibc-i18n:
 glibc-i18n:
